package onebit.chrdraw.chr;

import java.util.Map;

public class FontUtils {

  public static int calculateStringWidth(Font font, String text) {
    int length = 0;
    Map<Character, Glyph> fonts = font.getCharacters();
    for (int i = 0; i < text.length(); i++) {
      Character ch = Character.valueOf(text.charAt(i));
      Glyph glyph = fonts.get(ch);
      if (glyph != null) {
        int width = glyph.getWidth();
        length += width;
      }
    }
    return length;
  }
}
